html {
  width: 100%;
}

body {
  overflow-x: hidden !important;
}

body.show-spinner>main {
  overflow: hidden !important;
}

/* Hide everything under body tag */
body.show-spinner>* {
  opacity: 0;
}

/* Spinner */
body.show-spinner::after {
  content: " ";
  display: inline-block;
  width: 30px;
  height: 30px;
  border: 2px solid rgba(0, 0, 0, 0.2);
  border-radius: 50%;
  border-top-color: rgba(0, 0, 0, 0.3);
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
  left: calc(50% - 15px);
  top: calc(50% - 15px);
  position: fixed;
  z-index: 1;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}


.background .mx-auto {
  margin-left: auto !important;
  margin-right: auto !important;
}



.billing__main__content__step {

  border-radius: 3px;
  padding: 40px 16px;
}
.billing__main__content__step ul {
  padding: 0;
  margin: 0;
}
.billing__main__content__step ul li {
  list-style-type: none;
  color: #a1a7b1;
  font-size: 16px;
  line-height: 22px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  height: 64px;
  width: 100%;
  cursor: pointer;
}
.billing__main__content__step ul li a {
  display: flex;
  align-items: center;
}
.billing__main__content__step ul li a span {
  margin-right: 12px;
  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.billing__main__content__step ul li a span i {
  display: flex;
  align-items: center;
  justify-content: center;
  float: left;
  background-color: #d8e0ea;
  color: white;
  font-size: 14px;
  line-height: 14px;
  text-align: center;
  width: 32px;
  height: 32px;
  border-radius: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.billing__main__content__step ul li a span:before {
  content: '';
  width: 2px;
  height: 16px;
  background-color: #d8e0ea;
  position: absolute;
  top: -12px;
  left: 19px;
}
.billing__main__content__step ul li a span:after {
  content: '';
  width: 2px;
  height: 16px;
  background-color: #d8e0ea;
  position: absolute;
  bottom: -12px;
  left: 19px;
}
.billing__main__content__step ul li a p {
  margin-bottom: 0px;
}
.billing__main__content__step ul li a label {
  max-width: calc(100% - 52px);
}
.billing__main__content__step ul li a .sub {
  display: none;
}
.billing__main__content__step ul li a.selected p {
  font-weight: bold;
}
.billing__main__content__step ul li a.selected .sub {
  display: block;
  font-weight: normal;
  float: left;
  width: 100%;
  font-style: normal;
}
.billing__main__content__step ul li:first-child span:before {
  content: '';
  display: none;
}
.billing__main__content__step ul li:last-child span:after {
  content: '';
  display: none;
}
.billing__main__content__step ul li.active {
  color: #145388!important;
  
    

}
.billing__main__content__step ul li.active span {
  border: 1px solid #145388;
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.billing__main__content__step ul li.active span i {
  background-color: #145388;
}
.billing__main__content__step ul li.active span:before {
  background-color: #145388;
  bottom: -17px;
  top: -17px;
  left: 18px;
}
.billing__main__content__step ul li.active span:after {
  background-color: #145388;
  bottom: -17px;
  left: 18px;
}
.billing__main__content__step ul li .done-icon {
  display: none;
}
.billing__main__content__step ul li.done span {
  border-color: white;
}
.billing__main__content__step ul li.done span:after {
  bottom: -13px;
}
.billing__main__content__step ul li.done span:before {
  top: -13px;
}
.billing__main__content__step ul li.done span.default {
  display: none;
}
.billing__main__content__step ul li.done span.done-icon {
  display: flex;
}
.billing__main__content__step ul li.warning {
  user-select: none;
}
.billing__main__content__step ul li.warning span i {
  background-color: #F6EAE8;
  color: #FF1000;
}
.billing__main__content__step ul li.warning label {
  border-radius: 3px;
  background-color: #F6EAE8;
  padding: 8px;
  color: #FF1000;
  font-size: 14px;
  line-height: 20px;
}

@media only screen and (max-width: 991px) {
  .billing__main__content__step {
    padding: 4px;
  }
  .billing__main__content__step ul {
    display: flex;
    justify-content: space-between;
  }
  .billing__main__content__step ul li {
    display: flex;
    width: auto;
    flex-grow: 1;
    justify-content: center;
    position: relative;
  }
  .billing__main__content__step ul li p {
    display: none;
  }
  .billing__main__content__step ul li.warning {
    display: none;
  }
  .billing__main__content__step ul li span:before {
    display: none;
  }
  .billing__main__content__step ul li span:after {
    display: none;
  }
  .billing__main__content__step ul li:before {
    content: '';
    position: absolute;
    width: 50%;
    height: 2px;
    background-color: #d8e0ea;
    right: 0;
  }
  .billing__main__content__step ul li:after {
    content: '';
    position: absolute;
    width: 50%;
    height: 2px;
    background-color: #d8e0ea;
    left: -20px;
  }
  .billing__main__content__step ul li:first-child:after {
    display: none;
  }
  .billing__main__content__step ul li:last-child:before {
    display: none;
  }
  .billing__main__content__step ul li.done:before {
    background-color: #4F89E5;
  }
  .billing__main__content__step ul li.done:after {
    background-color: #4F89E5;
  }
}
